Class | Spec::Runner::Formatter::FailingExampleGroupsFormatter
In: | lib/spec/runner/formatter/failing_example_groups_formatter.rb
Parent: | BaseTextFormatter

### Methods

dump_failure dump_summary example_failed

### Public Instance methods

dump_failure(counter, failure)

[Source]

        # File lib/spec/runner/formatter/failing_example_groups_formatter.rb, line 19
    19:         def dump_failure(counter, failure)
    20:         end

dump_summary(duration, example_count, failure_count, pending_count)

[Source]

        # File lib/spec/runner/formatter/failing_example_groups_formatter.rb, line 22
    22:         def dump_summary(duration, example_count, failure_count, pending_count)
    23:         end

example_failed(example, counter, failure)

[Source]

        # File lib/spec/runner/formatter/failing_example_groups_formatter.rb, line 7
     7:         def example_failed(example, counter, failure)
     8:           if @example_group
     9:             description_parts = @example_group.description_parts.collect do |description|
    10:               description =~ /(.*) \(druby.*\)$/ ? $1 : description
    11:             end
    12:             @output.puts ::Spec::Example::ExampleGroupMethods.description_text(*description_parts)
    13:
    14:             @output.flush
    15:             @example_group = nil
    16:           end
    17:         end

[Validate]